## org.apache.batik.ext.awt.image.codec
Class PNGSuggestedPaletteEntry

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.PNGSuggestedPaletteEntry

All Implemented Interfaces:
  java.io.Serializable

public class PNGSuggestedPaletteEntry
extends java.lang.Object
implements java.io.Serializable

A class representing the fields of a PNG suggested palette entry.

This class is not a committed part of the JAI API. It may be removed or changed in future releases of JAI.

See Also:
  Serialized Form

Field Summary
`int` `alpha` The alpha opacity value of the entry.
`int` `blue` The blue color value of the entry.
`int` `frequency` The probable frequency of the color in the image.
`int` `green` The green color value of the entry.
`java.lang.String` `name` The name of the entry.
`int` `red` The red color value of the entry.
`int` `sampleDepth` The depth of the color samples.

Constructor Summary
`PNGSuggestedPaletteEntry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The name of the entry.

### sampleDepth

    public int sampleDepth

  The depth of the color samples.

### red

    public int red

  The red color value of the entry.

### green

    public int green

  The green color value of the entry.

### blue

    public int blue

  The blue color value of the entry.

### alpha

    public int alpha

  The alpha opacity value of the entry.

### frequency

    public int frequency

  The probable frequency of the color in the image.

Constructor Detail

### PNGSuggestedPaletteEntry

    public PNGSuggestedPaletteEntry()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.